local HeadCount = LibStub("AceAddon-3.0"):GetAddon("HeadCount2")
if not HeadCount then return end

local L = LibStub("AceLocale-3.0"):GetLocale("HeadCount2")

HeadCount.DateFormats = {
	[1] = "Day-Month-Year",
	[2] = "Month-Day-Year",
	[3] = "Year-Day-Month",
}

local partyGroups = { "1", "2", "3", "4", "5", "6", "7", "8", }
local exportFormats = {
	["EQdkp"] = L["EQdkp"],
	["DKPBoard"] = L["DKPBoard"],
	["phpBB"] = L["phpBB"],
	["phpBB_ItemStats"] = L["phpBB_ItemStats"],
	["CSV"] = L["CSV"],
	["Text"] = L["Text"],
	["XML"] = L["XML"],
}
local channels = {
	["guild"] = "GUILD",
	["officer"] = "OFFICER",
	["party"] = "PARTY",
	["raid"] = "RAID",
	["say"] = "SAY",
	["yell"] = "YELL",
}

local defaults = {
	-- Group Management
	raidListGroups = {
		["1"] = true,
		["2"] = true,
		["3"] = true,
		["4"] = true,
		["5"] = true,
		["6"] = false,
		["7"] = false,
		["8"] = false,
	},
	waitListGroups = {
		["1"] = false,
		["2"] = false,
		["3"] = false,
		["4"] = false,
		["5"] = false,
		["6"] = true,
		["7"] = true,
		["8"] = true,
	},
	-- raid management
	raid = {
		["groupsetup"] = {
			["isAutomaticGroupSelectionEnabled"] = true,
		},
		["waitlist"] = {
			["duration"] = 0, 		-- default announce duration of always enabled
			["autoremoval"] = true, -- automatically remove players from the wait list upon joining a raid list group
			["incoming"] = true, 	-- display incoming wait list whispers
			["outgoing"] = false, 	-- do NOT display outgoing wait list whispers
			["notify"] = false, 	-- do NOT display the waitlist notification message
		},
		["pruning"] = {
			["isPruningEnabled"] = false,
			["pruningTime"] = 12,	-- default pruning time of ~3 months
		},
	},
	-- boss management
	boss = {
		["groupsetup"] = {
			["raidlistgroup"] = true,
			["waitlistgroup"] = false,
			["nolistgroup"] = false,
			["waitlist"] = false,
		},
	},
	delay = 5,	-- default delay value of 5 seconds
	isBattlegroundTrackingEnabled = false,
	dateFormat = 2,
	timezone = -5, -- "-5 GMT, Eastern Standard Time"
	isTimeFormatEnabled = true,
	isRaidListTimeEnabled = true,
	isWaitListTimeEnabled = false,
	isOfflineTimeEnabled = false,
	minimumLootQuality = 4,
	isLootPopupEnabled = false,
	broadcastChannel = channels["guild"],
	isLootBroadcastEnabled = false,
	isBossBroadcastEnabled = false,
	exportFormat = "EQdkp",
	-- export
	export = {
		["eqdkp"] = {
			["difficulty"] = true,
		},
	},
	isDebugEnabled = false,
	raidListWrapper = nil,
	exclusionList = {
		[20725] = true, -- Nexus Crystal
		[22450] = true, -- Void Crystal
		[30311] = true, -- Warp Slicer
		[30312] = true, -- Infinity Blade
		[30313] = true, -- Staff of Disintegration
		[30314] = true, -- Phaseshift Bulwark
		[30316] = true, -- Devastation
		[30317] = true, -- Cosmic Infuser
		[30318] = true, -- Netherstrand Longbow
		[30319] = true, -- Nether Spike
		[30320] = true, -- Bundle of Nether Spikes
		[34057] = true, -- Abyss Crystal
		[36919] = true, -- Cardinal Ruby
		[36922] = true, -- King's Amber
		[36925] = true, -- Majestic Zircon
		[36928] = true, -- Dreadstone
		[36931] = true, -- Ametrine
		[36934] = true, -- Eye of Zul
		[49110] = true, -- Nightmare Tear
	},
}

function HeadCount:GetDBDefaults()
	return { profile = defaults }
end

function HeadCount:GetExportFormat()
	return self.db.profile.exportFormat
end